# UpdateBrokerage

Update the witness's brokerage setting.<br>

**BODY PARAMS**\
`{`

**`owner_address`**` ``string`

**`brokerage`**` ``int32`

**`visible`**` ``boolean (Optional)`

`}`

**Note:**  &#x20;

* **owner\_address** is super representative's account address.
* **brokerage** is ratio of the super representative, for example: 20 means 20%, 100 means 100%
* **visible:** whether the address is in base58check format.

**Example:**

curl --request POST\
\--url [**http://172.104.51.182:16667/wallet/updateBrokerage**](http://172.104.51.182:16667/wallet/updateBrokerage)\
\--header 'Accept: application/json'\
\--header 'Content-Type: application/json'\
\--data ' { "owner\_address": "414A193C92CD631C1911B99CA964DA8FD342F4CDDD" }

**Input:**&#x20;

`{`&#x20;

`"owner_address":"AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz",`&#x20;

`"brokerage":100,`&#x20;

`"visible": true`&#x20;

`}`

**Response**:

`{`&#x20;

`"visible": true, "txID": "8f9f43af54fd7492d02113d8c5348bc74c77b2786684c5ef0ce2903812c6c2d0", "raw_data": { "contract": [ { "parameter": { "value": { "brokerage": 100, "owner_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz" }, "type_url": "type.googleapis.com/protocol.UpdateBrokerageContract" }, "type": "UpdateBrokerageContract" } ], "ref_block_bytes": "e7d7", "ref_block_hash": "e25e91b5b8c8be14", "expiration": 1640072568000, "timestamp": 1640072511110 }, "raw_data_hex": "0a02e7d72208e25e91b5b8c8be1440c0b9c5dfdd2f5a55083112510a34747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e55706461746542726f6b6572616765436f6e747261637412190a15414203485a535a4072c9fbfaaddfe2a010ad0bcdb010647086fdc1dfdd2f"`&#x20;

`}`

\==> Continue you call **gettransactionsign** API then call **broadcasttransaction** API

We will the final result: The transaction created success on AIXChain network.

{

"result":true,"txid":"8f9f43af54fd7492d02113d8c5348bc74c77b2786684c5ef0ce2903812c6c2d0"

}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/voting-and-srs/updatebrokerage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
